LIFEREA(1)

NAME
Liferea - RSS/RDF and Atom news aggregator

SYNOPSIS
liferea [OPTIONS]

DESCRIPTION
Liferea (Linux Feed Reader) is an RSS/RDF and Atom news aggregator which also supports CDF channels, OCS, and OPML directories. It's intended to be a clone of the Windows-only FeedReader. It can be used to maintain a list of subscribed feeds, browse and search through their items and displays their contents.

OPTIONS
Liferea options:

--version
    output version information and exit

--help
    display a option overview and exit

--mainwindow-state=STATE
    Start Liferea with its mainwindow in STATE: shown, iconified, hidden

--debug-all
    Print debugging messages of all types

--debug-cache
    Print debugging messages for the cache handling

--debug-conf
    Print debugging messages of the configuration handling

--debug-gui
    Print debugging messages of all GUI functions

--debug-html
    Enables HTML rendering debugging. Each time Liferea renders HTML output it will also dump the generated HTML into ~/.liferea_1.6/output.xhtml.

--debug-parsing
    Print debugging messages of all parsing functions

--debug-performance
    Print debugging messages when a function takes too long to process

--debug-plugins
    Print debugging messages for the plugin loading

--debug-trace
    Print debugging messages when entering/leaving functions

--debug-update
    Print debugging messages of the feed update processing

--debug-verbose
    Print verbose debugging messages

DBUS INTERFACE
To allow integration with other programs Liferea profives a DBUS interface for automatic creation of new subscriptions. The script liferea-add-feed is a convenient way to use this interface. Just pass a valid feed URL as parameter and the feed will be added to the feed list. You can also pass non-feed URLs to use feed auto discovery. Example: liferea-add-feed "http://www.newsforge.com/newsforge.rss" Please note that Liferea needs to be running for liferea-add-feed to work.

ENVIRONMENT

http_proxy
    If a proxy is not specified in the Liferea preferences (which uses the proxy settings in gconf), then Liferea will use the proxy specified in $http_proxy. $http_proxy should be set to a URI specifying the desired proxy, for example ‘http://proxy.example.com:3128/’.

FILES

/usr/lib/liferea/
    Contains Liferea plugins

/usr/share/liferea/css/
    Contains stylesheets for feed display

/usr/share/liferea/opml/
    Contains default feedlists

~/.liferea_1.6/
    Contains user feedlist and feed cache

AUTHOR
This manual page was written by Lars Lindner <lars.lindner@gmail.com>.